Skip to main content
PATCH
/
api
/
storage_unit_types
/
{id}
Update a storage unit type
curl --request PATCH \
  --url https://clarus-api.com/api/storage_unit_types/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "storage_unit_types",
    "attributes": {
      "code": "STDPAL",
      "name": "Standard Pallet",
      "unit_name": "Pallet",
      "sequence_id": 7,
      "has_check_digit": true,
      "is_pickable": false,
      "leaves_warehouse": true,
      "dimensions": {
        "length": 1.2,
        "width": 1,
        "height": 1.5,
        "weight": 25,
        "unit_of_measure": "metre",
        "weight_unit_of_measure": "kilogram"
      }
    }
  }
}
'
{
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Path Parameters

id
integer
required

The unique identifier of the storage unit type

Body

application/json
data
object
required

Response

Operation completed successfully with no content to return